---
lang: en
title: 'API docs: context.isdynamicvalueproviderclass'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.isdynamicvalueproviderclass.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [isDynamicValueProviderClass](./context.isdynamicvalueproviderclass.md)

## isDynamicValueProviderClass() function

Check if the factory is a value factory provider class

**Signature:**

```typescript
export declare function isDynamicValueProviderClass<T = unknown>(factory: unknown): factory is DynamicValueProviderClass<T>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  factory | unknown | A factory function or a dynamic value provider class |

**Returns:**

factory is [DynamicValueProviderClass](./context.dynamicvalueproviderclass.md)<!-- -->&lt;T&gt;


